Bug 1024366 - losetup does not use loop-control to add device
losetup does not use loop-control to add device
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: util-linux (Show other bugs)
7.0
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Karel Zak
Juraj Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 10:11 EDT by Petr Beňas
Modified: 2015-08-31 23:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: util-linux-2.23.2-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:54:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Beňas 2013-10-29 10:11:23 EDT
Description of problem:
RHEL7 is built with 
CONFIG_BLK_DEV_LOOP=m
CONFIG_BLK_DEV_LOOP_MIN_COUNT=0
so there are no loopback files by default. Loopback file can by used by  
# mount -o loop file mountpoint
but losetup cannot be used. 

Version-Release number of selected component (if applicable):
util-linux-2.23.2-6.el7.x86_64
kernel-3.10.0-37.el7.x86_64
kernel-3.10.0-33.el7.x86_64

Actual results:
losetup /dev/loopX file does not work

Expected results:
Losetup creates the /devl/loopX file using the loop-control interface if the loopback file does not exist yet. 

Additional info:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=770fe30a46a12b6fb6b63fbe1737654d28e84844
Comment 2 Karel Zak 2013-11-01 04:51:14 EDT
Fixed by upstream commit 3cb2413b02ff01f535b82eb630bd4f157ed7b1c8 (v2.24).
Comment 6 Ludek Smid 2014-06-13 05:54:52 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.